Bug 174344 - sysutils/ltrace: update to 0.6.0
Summary: sysutils/ltrace: update to 0.6.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sofian Brabez
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-10 21:40 UTC by Andrey Zonov
Modified: 2013-01-01 22:00 UTC (History)
0 users

See Also:


Attachments
file.diff (1.95 KB, patch)
2012-12-10 21:40 UTC, Andrey Zonov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Zonov freebsd_committer 2012-12-10 21:40:00 UTC
I ported new version of ltrace to FreeBSD-amd64, tested for a while, and now I think it is ready for users.

tarball is made from this source https://github.com/z0nt/ltrace

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-12-10 21:40:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sbz

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-01-01 21:53:26 UTC
Author: sbz
Date: Tue Jan  1 21:53:17 2013
New Revision: 309784
URL: http://svnweb.freebsd.org/changeset/ports/309784

Log:
  - Update to 0.6.0
  - ONLY_FOR_ARCHS is only amd64 for now
  - Respect DOCS
  
  PR:		ports/174344
  Submitted by:	zont

Modified:
  head/sysutils/ltrace/Makefile
  head/sysutils/ltrace/distinfo   (contents, props changed)

Modified: head/sysutils/ltrace/Makefile
==============================================================================
--- head/sysutils/ltrace/Makefile	Tue Jan  1 20:33:52 2013	(r309783)
+++ head/sysutils/ltrace/Makefile	Tue Jan  1 21:53:17 2013	(r309784)
@@ -1,38 +1,33 @@
-# New ports collection makefile for:  ltrace
-# Date created:			  2012-07-31
-# Whom:				  Sofian Brabez <sbz@FreeBSD.org>
-#
+# Created by: Sofian Brabez <sbz@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	ltrace
-PORTVERSION=	0.4
-PORTREVISION=	1
+PORTVERSION=	0.6.0
 CATEGORIES=	sysutils
-MASTER_SITES=	${MASTER_SITE_FREEBSD_ORG:S,%SUBDIR%,distfiles,} \
-		${MASTER_SITE_LOCAL:S,%SUBDIR%,sbz,}
+MASTER_SITES=	LOCAL/sbz \
+		http://www.zonov.org/${PORTNAME}/
 
 MAINTAINER=	sbz@FreeBSD.org
 COMMENT=	Track runtime library calls in dynamically linked programs
 
 LICENSE=	GPLv2
 
-LIB_DEPENDS=	elf:${PORTSDIR}/devel/libelf
-
-ONLY_FOR_ARCHS=	i386
-
 GNU_CONFIGURE=	yes
-USE_GMAKE=	yes
+ONLY_FOR_ARCHS=	amd64
 
 MAN1=		${PORTNAME}.1
-WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
 
-post-patch:
-	@${REINPLACE_CMD} -e 's|^\(CC\)|#\1|' ${WRKSRC}/Makefile.in
+OPTIONS_DEFINE=	DOCS
+
+PORTDOCS=	BUGS COPYING ChangeLog README TODO
+
+.include <bsd.port.options.mk>
+
+post-install:
+.if ${PORT_OPTIONS:MDOCS}
+	@${MKDIR} ${DOCSDIR}
+	${INSTALL_DATA} ${PORTDOCS:S,^,${WRKSRC}/,} ${DOCSDIR}
 
-do-install:
-	${INSTALL_PROGRAM} ${WRKSRC}/${PORTNAME} ${PREFIX}/bin
-	${INSTALL_DATA} ${WRKSRC}/etc/${PORTNAME}.conf ${PREFIX}/etc
-	${INSTALL_MAN} ${WRKSRC}/${MAN1} ${PREFIX}/man/man1
+.endif
 
 .include <bsd.port.mk>

Modified: head/sysutils/ltrace/distinfo
==============================================================================
--- head/sysutils/ltrace/distinfo	Tue Jan  1 20:33:52 2013	(r309783)
+++ head/sysutils/ltrace/distinfo	Tue Jan  1 21:53:17 2013	(r309784)
@@ -1,2 +1,2 @@
-SHA256 (ltrace-0.4.tar.gz) = 22886749d621277adda5d404dedbb807a78d850c8246d35cb8cb491724d6d2c7
-SIZE (ltrace-0.4.tar.gz) = 155468
+SHA256 (ltrace-0.6.0.tar.gz) = 811f96a4ccc83650bd6c1f85e5ad006fedadb3954413cb7fefb41d2afdd9277b
+SIZE (ltrace-0.6.0.tar.gz) = 604630
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Sofian Brabez freebsd_committer 2013-01-01 21:54:04 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!